import { ReactNode } from 'react';
import { Moment } from 'moment';
import { DatePickerKeyboardEvent } from './DatePicker';
import DaysView, { DateViewProps } from './DaysView';
import { TimesViewProps } from './TimesView';
import { FieldType } from '../data-set/enum';
export default class DateTimesView<T extends DateViewProps> extends DaysView<T> implements DatePickerKeyboardEvent {
    static displayName: string;
    static type: FieldType;
    getViewClassName(): string;
    handleTimeSelect(): void;
    handleCellClick(date: Moment): void;
    handleKeyDownRight(e: any): void;
    getFirstDay(date: any): any;
    choose(date: Moment, expand?: boolean): void;
    renderFooter(): ReactNode;
    getTimeProps: () => TimesViewProps;
    render(): JSX.Element;
}
